Package org.eclipse.cdt.core.resources

## Class ScannerInfo

- java.lang.Object
- - org.eclipse.cdt.core.resources.ScannerInfo

All Implemented Interfaces:
  `IExtendedScannerInfo`, `IScannerInfo`

    @Deprecated
    public class ScannerInfo
    extends Object
    implements IExtendedScannerInfo

Deprecated.
Since CDT 4.0 not used for the "new style" projects.
#@noextend This class is not intended to be subclassed by clients. #@noinstantiate This class is not intended to be instantiated by clients. Note that protected constructor won't allow to instantiate this class outside the package anyway, so it is not really API.

### Constructor Summary

Constructors
`protected` `ScannerInfo​(String[] systemIncludePaths, String[] localIncludePaths, String[] includeFiles, Map<String,​String> macroMap, String[] macroFiles)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Map<String,​String>` `getDefinedSymbols()` Deprecated. Returns a `Map` containing all the defined preprocessor symbols and their values.
`String[]` `getIncludeFiles()` Deprecated. Return an array of files that will be parsed before parsing the translation-unit as if the these files were included using include directives.
`String[]` `getIncludePaths()` Deprecated. Returns an array of paths that are searched when processing an include directive.
`String[]` `getLocalIncludePath()` Deprecated. Return an array of paths that is searched after the current directory, when an include directive with double-quotes is processed.
`String[]` `getMacroFiles()` Deprecated. Return an array of files which will be preprocessed before parsing the translation-unit in order to populate the macro-dictionary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScannerInfo

    protected ScannerInfo​(String[] systemIncludePaths,
                          String[] localIncludePaths,
                          String[] includeFiles,
                          Map<String,​String> macroMap,
                          String[] macroFiles)

Deprecated.

### Method Detail

#### getIncludePaths

    public String[] getIncludePaths()

Deprecated.
Description copied from interface: `IScannerInfo`
Returns an array of paths that are searched when processing an include directive. see `IExtendedScannerInfo.getLocalIncludePath()`

In order to suppress the use of the directory of the current file (side effect of gcc option -I-) you can pass '-' as one of the include paths. Other than that, the '-' will not have an effect, in particular it will not split the include path as the -I- option would do. To achieve that, use `IExtendedScannerInfo.getLocalIncludePath()`.

In order to handle framework includes used on Apple Computers you can make use of the two variables: '__framework__' and '__header__'.
E.g.: /System/Library/Frameworks/__framework__.framework/Headers/__header__, /System/Library/Frameworks/__framework__.framework/PrivateHeaders/__header__ would handle the framework search for '/System/Library/Frameworks'
The variables are handled only, if a search path element makes use of both of the variables. The __framework__ variable will receive the first segment of the include, the __header__ variable the rest. Such a search path element is not used for directives with a single segment (e.g. 'header.h')

Specified by:
  `getIncludePaths` in interface `IScannerInfo`

#### getDefinedSymbols

    public Map<String,​String> getDefinedSymbols()

Deprecated.
Description copied from interface: `IScannerInfo`
Returns a `Map` containing all the defined preprocessor symbols and their values. Symbols defined without values have an empty string for a value. For example, -Dsymbol=value would have a map entry (symbol, value). A symbol defined as -Dsymbol= would have a map entry of (symbol, "").

Specified by:
  `getDefinedSymbols` in interface `IScannerInfo`

#### getMacroFiles

    public String[] getMacroFiles()

Deprecated.
Description copied from interface: `IExtendedScannerInfo`
Return an array of files which will be preprocessed before parsing the translation-unit in order to populate the macro-dictionary.

Specified by:
  `getMacroFiles` in interface `IExtendedScannerInfo`

#### getIncludeFiles

    public String[] getIncludeFiles()

Deprecated.
Description copied from interface: `IExtendedScannerInfo`
Return an array of files that will be parsed before parsing the translation-unit as if the these files were included using include directives.

Specified by:
  `getIncludeFiles` in interface `IExtendedScannerInfo`

#### getLocalIncludePath

    public String[] getLocalIncludePath()

Deprecated.
Description copied from interface: `IExtendedScannerInfo`
Return an array of paths that is searched after the current directory, when an include directive with double-quotes is processed.

In order to suppress the use of the directory of the current file (side effect of gcc option -I-) you can pass '-' as one of the include paths. Other than that, the '-' will not have an effect, in particular it will not split the include path as the -I- option would do.

Specified by:
  `getLocalIncludePath` in interface `IExtendedScannerInfo`